## org.eclipse.jetty.client.security
Interface Realm

    public interface Realm

Simple security realm interface.

Method Summary
`String` `getCredentials()`
`String` `getId()`
`String` `getPrincipal()`

Method Detail

### getId

    String getId()

### getPrincipal

    String getPrincipal()

### getCredentials

    String getCredentials()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.